aboutsummaryrefslogtreecommitdiffstats
path: root/devscripts
diff options
context:
space:
mode:
Diffstat (limited to 'devscripts')
-rwxr-xr-xdevscripts/release.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/devscripts/release.sh b/devscripts/release.sh
index ca6ae1b..981d37c 100755
--- a/devscripts/release.sh
+++ b/devscripts/release.sh
@@ -60,6 +60,9 @@ if ! type pandoc >/dev/null 2>/dev/null; then echo 'ERROR: pandoc is missing'; e
if ! python3 -c 'import rsa' 2>/dev/null; then echo 'ERROR: python3-rsa is missing'; exit 1; fi
if ! python3 -c 'import wheel' 2>/dev/null; then echo 'ERROR: wheel is missing'; exit 1; fi
+read -p "Is ChangeLog up to date? (y/n) " -n 1
+if [[ ! $REPLY =~ ^[Yy]$ ]]; then exit 1;
+
/bin/echo -e "\n### First of all, testing..."
make clean
if $skip_tests ; then